Skip to main content

Interests API

Interests represent a user following an artist, organizer, or genre. Following entities personalizes the user's feed and can contribute to reward points.

Get Interests

Get the authenticated user's followed entities.

Endpoint: GET /interest

Headers:

  • X-F-Authorization: Client token (required)
  • X-F-Authentication: User token (required)

Response:

[
{
"id": "interest-uuid",
"entity_type": "artist",
"entity_id": "some-artist",
"createdAt": "2025-01-15T10:00:00Z"
},
{
"id": "interest-uuid-2",
"entity_type": "genre",
"entity_id": "techno",
"createdAt": "2025-02-01T08:30:00Z"
}
]

Follow an Entity

Follow an artist, organizer, or genre.

Endpoint: POST /interest

Headers:

  • X-F-Authorization: Client token (required)
  • X-F-Authentication: User token (required)

Request Body:

{
"entity_type": "artist",
"entity_id": "some-artist"
}
FieldTypeValues
entity_typestring"artist", "organizer", "genre"
entity_idstringThe ID of the entity to follow

Response: Returns the created interest object.

Unfollow an Entity

Endpoint: DELETE /interest/:id

Headers:

  • X-F-Authorization: Client token (required)
  • X-F-Authentication: User token (required)

id is the interest record ID returned when following.

Response:

{ "message": "Interest removed" }